<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('esemenyek', function (Blueprint $table) {
            $table->id();
            $table->foreignId('szervezo')->constrained('felhasznalok');
            $table->string('cim', 255);
            $table->text('leiras', 65535);
            $table->dateTime('kezdes');
            $table->dateTime('befejezes');
            $table->string('helyszin', 255);
            $table->foreignId('tipus_id')->constrained('esemenytipusok');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('esemenyek');
    }
};
